Package io.vertx.rxjava3.cassandra

## Class ResultSet

- java.lang.Object
- - io.vertx.rxjava3.cassandra.ResultSet

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ResultSet
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  It is like `AsyncResultSet`, but adapted for Vert.x.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ResultSet>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResultSet​(ResultSet delegate)` |
    `ResultSet​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Single<List<com.datastax.oss.driver.api.core.cql.Row>>` | `all()` | The method should not be used concurrently with others like `fetchNextPage()` or `one()`.
    `Iterable<com.datastax.oss.driver.api.core.cql.Row>` | `currentPage()` |
    `boolean` | `equals​(Object o)` |
    `Single<ResultSet>` | `fetchNextPage()` |
    `com.datastax.oss.driver.api.core.cql.ColumnDefinitions` | `getColumnDefinitions()` |
    `ResultSet` | `getDelegate()` |
    `com.datastax.oss.driver.api.core.cql.ExecutionInfo` | `getExecutionInfo()` |
    `int` | `hashCode()` |
    `boolean` | `hasMorePages()` |
    `static ResultSet` | `newInstance​(ResultSet arg)` |
    `com.datastax.oss.driver.api.core.cql.Row` | `one()` |
    `int` | `remaining()` |
    `Single<List<com.datastax.oss.driver.api.core.cql.Row>>` | `rxAll()` | The method should not be used concurrently with others like `fetchNextPage()` or `one()`.
    `Single<ResultSet>` | `rxFetchNextPage()` |
    `String` | `toString()` |
    `boolean` | `wasApplied()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ResultSet> __TYPE_ARG

  - ### Constructor Detail

    - #### ResultSet

          public ResultSet​(ResultSet delegate)

    - #### ResultSet

          public ResultSet​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ResultSet getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### remaining

          public int remaining()

      Returns:

    - #### hasMorePages

          public boolean hasMorePages()

      Returns:

    - #### fetchNextPage

          public Single<ResultSet> fetchNextPage()

      Returns:

    - #### rxFetchNextPage

          public Single<ResultSet> rxFetchNextPage()

      Returns:

    - #### wasApplied

          public boolean wasApplied()

      Returns:

    - #### all

          public Single<List<com.datastax.oss.driver.api.core.cql.Row>> all()

      The method should not be used concurrently with others like `fetchNextPage()` or `one()`. This may lead to unexpected result.
      Returns:
        a future notified all the rows are fetched

    - #### rxAll

          public Single<List<com.datastax.oss.driver.api.core.cql.Row>> rxAll()

      The method should not be used concurrently with others like `fetchNextPage()` or `one()`. This may lead to unexpected result.
      Returns:
        a future notified all the rows are fetched

    - #### getColumnDefinitions

          public com.datastax.oss.driver.api.core.cql.ColumnDefinitions getColumnDefinitions()

      Returns:

    - #### getExecutionInfo

          public com.datastax.oss.driver.api.core.cql.ExecutionInfo getExecutionInfo()

      Returns:

    - #### currentPage

          public Iterable<com.datastax.oss.driver.api.core.cql.Row> currentPage()

      Returns:

    - #### one

          public com.datastax.oss.driver.api.core.cql.Row one()

      Returns:

    - #### newInstance

          public static ResultSet newInstance​(ResultSet arg)